﻿using System;
using System.Collections.Generic;
using System.Text;
using Xamarin.Forms;
using Syncfusion.SfSchedule.XForms;

namespace ScheduleSample
{
    public class ScheduleBehavior : Behavior<ContentPage>
    {
        SfSchedule schedule;
        protected override void OnAttachedTo(ContentPage bindable)
        {
            base.OnAttachedTo(bindable);
            schedule = bindable.FindByName<SfSchedule>("schedule");
            schedule.SizeChanged += Schedule_SizeChanged;
            schedule.MonthViewSettings.ShowAgendaView = true;
        }

        private void Schedule_SizeChanged(object sender, EventArgs e)
        {
            schedule.MonthViewSettings.AgendaViewHeight = schedule.Height * 0.6;
        }

        protected override void OnDetachingFrom(ContentPage bindable)
        {
            base.OnDetachingFrom(bindable);
            schedule.SizeChanged -= Schedule_SizeChanged;
            schedule = null;
        }

    }
}
